# Interface UiManager

interface UiManager {
addLanguagePack(language, languagePack): void;
dispose(): void;
getPlayerContainerUiComponent(): null | UiComponent;
updateConfiguration(config, prev): void;
}

#####
Index

### Methods

addLanguagePack
dispose
getPlayerContainerUiComponent
updateConfiguration

## Methods

### addLanguagePack

- addLanguagePack(language, languagePack): void

- #### Parameters

  - language: LanguageKey
  - languagePack: Record<string, string>

  #### Returns void

### dispose

- dispose(): void

- #### Returns void

### getPlayerContainerUiComponent

- getPlayerContainerUiComponent(): null | UiComponent

- #### Returns null | UiComponent

### updateConfiguration

- updateConfiguration(config, prev): void

- #### Parameters

  - config: PlayerConfiguration
  - prev: PlayerConfiguration

  #### Returns void